Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
sck84

[Yêu cầu] lisp bo hatch

Các bài được khuyến nghị

Chào các bác! Vấn đề của em thế này: bvẽ của em có rất nhiều hatch nhưng bị mất hết cả nét bo (híc)! Em muốn bo lại nhưng nếu cứ kick mà edit từng thằng hatch thì chắc mất cả tháng. Em đã tìm trên diễn đàn thì thầy bài này: http://www.cadviet.com/forum/index.php?showtopic=32577 đúng ý em nhưng lại kô down đc cái lisp đấy! Em muốn nhờ bác nào có lưu thì úp lại giúp em với! Thanks các bác!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào các bác! Vấn đề của em thế này: bvẽ của em có rất nhiều hatch nhưng bị mất hết cả nét bo (híc)! Em muốn bo lại nhưng nếu cứ kick mà edit từng thằng hatch thì chắc mất cả tháng. Em đã tìm trên diễn đàn thì thầy bài này: http://www.cadviet.com/forum/index.php?showtopic=32577 đúng ý em nhưng lại kô down đc cái lisp đấy! Em muốn nhờ bác nào có lưu thì úp lại giúp em với! Thanks các bác!

Bạn dùng thử cái này xem sao:

(defun c:bh( / sl n)
 (setq sl (acet-ss-to-list(ssget '((0 . "HATCH")))))
 (foreach n sl
   (command "hatchedit" n "b" "p" "y" "")
   )
 )

  • Vote tăng 4

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình cũng không down được, nên viết tạm lại cho bạn cái khác đây. Tạo Bound bằng Pline nhé

(defun c:bh ()
 (princ "\nCh\U+1ECDn c\U+00E1c Hatch c\U+1EA7n t\U+1EA1o l\U+1EA1i Boundary : ")
 ((lambda (ss / n e) 
(setq n (sslength ss))
(while (setq e (ssname ss (setq n (1- n))))
	(command "-hatchedit" e "B" "P" "")		
)
)
(ssget (list (cons 0 "HATCH")))
))

P/S : Chậm rồi ^^

  • Vote tăng 4

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn dùng thử cái này xem sao:

(defun c:bh( / sl n)
 (setq sl (acet-ss-to-list(ssget '((0 . "HATCH")))))
 (foreach n sl
   (command "hatchedit" n "b" "p" "y" "")
   )
 )

cám ơn bác nhiều nhé! lisp này dùng phê quá

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cám ơn 2 bác phamngoctukts và bác ketxu! lisp các bác dùng rất hay nhưng cho em hỏi có cách nào biến các đường bo thành đường pl thay vì đường line như lệnh của 2 bác kô?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cám ơn 2 bác phamngoctukts và bác ketxu! lisp các bác dùng rất hay nhưng cho em hỏi có cách nào biến các đường bo thành đường pl thay vì đường line như lệnh của 2 bác kô?

Hề hề hề,

Bạn dùng líp chưa vậy??? làm sao bạn biết cái đường bo mới tạo toàn là line???

Hề hề hề

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hề hề hề,

Bạn dùng líp chưa vậy??? làm sao bạn biết cái đường bo mới tạo toàn là line???

Hề hề hề

Hề hề hề...

Câu đố của em là:

không cần phải dùng líp dùng... lủng gì hết!

Từ AutoCAD2011 đã có thể giải quyết được vấn đề trên một cách ngon ghẻ,

ý quên phải nói là ngon lành mới đúng!

 

Hề hề hề...Xin trân trọng kính mời các bác tham gia giải đố cho vui!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ế Hế Hế... Kính thưa 2 bác là em xài rồi, thấy toàn ra line nên mới nói vậy! Có gì chưa đúng xin bác chỉ giáo. Cad 2011 thì em xin chịu, con lap em là hàng già.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ế Hế Hế... Kính thưa 2 bác là em xài rồi, thấy toàn ra line nên mới nói vậy! Có gì chưa đúng xin bác chỉ giáo. Cad 2011 thì em xin chịu, con lap em là hàng già.

Hề hề Sao ra line được nhỉ??? Cái này chắc phải hỏi autodesk quá.

@hoan: cái này hoàn toàn dùng lệnh trong cad thôi. thực ra dùng lisp cho nó nhanh đỡ phải thao tác nhiều lần.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hề hề Sao ra line được nhỉ??? Cái này chắc phải hỏi autodesk quá.

@hoan: cái này hoàn toàn dùng lệnh trong cad thôi. thực ra dùng lisp cho nó nhanh đỡ phải thao tác nhiều lần.

Hề hề hề,

Thực tình thì mình chửa xài được cái lisp của bác và bác Ketxu do vưỡn xài CAD2004.

Tuy nhiên cứ theo cái suy luận mò của mình thì: cái ni(command "hatchedit" n "b" "p" "y" "")có thể là sẽ cho ra line do cái tham số "y" Vì hình như cái "Y" này là đồng ý explode cái polyline tạo được thì phải.

Còn cái ni: (command "-hatchedit" e "B" "P" "") thì hổng thấy có cửa nào cho ra line cả. Vậy nên mới théc méc với bác sck84. Mong các bác chớ giận.

Phen này chắc cài luôn thằng CAD2012 cho nó có đồ tét chớ không có cũng nóng cái mũi đáo để.

Hề hề hề,....

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hề hề hề,

Thực tình thì mình chửa xài được cái lisp của bác và bác Ketxu do vưỡn xài CAD2004.

Tuy nhiên cứ theo cái suy luận mò của mình thì: cái ni(command "hatchedit" n "b" "p" "y" "")có thể là sẽ cho ra line do cái tham số "y" Vì hình như cái "Y" này là đồng ý explode cái polyline tạo được thì phải.

Còn cái ni: (command "-hatchedit" e "B" "P" "") thì hổng thấy có cửa nào cho ra line cả. Vậy nên mới théc méc với bác sck84. Mong các bác chớ giận.

Phen này chắc cài luôn thằng CAD2012 cho nó có đồ tét chớ không có cũng nóng cái mũi đáo để.

Hề hề hề,....

Đúng đấy bác ạ, tự vì bác vưỡn xài CAD2004 nên "hổng thấy có cửa nào" ù ...cho ra line cả! Bác cứ thử liều đánh bạc một phen: cài luôn "cái luôn thằng CAD2012", sẽ có rất nhiều cửa ..."ù"... suông bác ạ!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Đúng đấy bác ạ, tự vì bác vưỡn xài CAD2004 nên "hổng thấy có cửa nào " ù ...cho ra line cả! Bác cứ thử liều, đánh bạc một phen: cài "cái luôn thằng CAD2012" sẽ có rất nhiều ...cửa "ù"... suông bác ạ!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hề hề hề,

Thực tình thì mình chửa xài được cái lisp của bác và bác Ketxu do vưỡn xài CAD2004.

Tuy nhiên cứ theo cái suy luận mò của mình thì: cái ni(command "hatchedit" n "b" "p" "y" "")có thể là sẽ cho ra line do cái tham số "y" Vì hình như cái "Y" này là đồng ý explode cái polyline tạo được thì phải.

Còn cái ni: (command "-hatchedit" e "B" "P" "") thì hổng thấy có cửa nào cho ra line cả. Vậy nên mới théc méc với bác sck84. Mong các bác chớ giận.

Phen này chắc cài luôn thằng CAD2012 cho nó có đồ tét chớ không có cũng nóng cái mũi đáo để.

Hề hề hề,....

Không phải thế đâu Bác Bình ạ. Cái tham số "y" là của thằng này: Associate hatch

with new boundary? [Yes/No] <Y>: cái lisp của em nó thừa dấu "" :lol:

Em đã thử nhiều lần toàn cho ra pline thế mà sck84 lại nói nó cho ra toàn line. Cái này đúng là Hỏi Chúa Chúa còn hỏi chấm

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Không phải thế đâu Bác Bình ạ. Cái tham số "y" là của thằng này: Associate hatch

with new boundary? [Yes/No] <Y>: cái lisp của em nó thừa dấu "" :lol:

Em đã thử nhiều lần toàn cho ra pline thế mà sck84 lại nói nó cho ra toàn line. Cái này đúng là Hỏi Chúa Chúa còn hỏi chấm

Chu cha! Có chuyện lạ đời vậy sao (ra line)? Vậy thì nên mở ngay topic "Các lỗi oái oăm trong Cad" thôi.

SCK84 thử hatch vào 1 circle rồi dùng 2 lệnh trên xem nó có ra line không nhé?

Thân thương!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

@hoan: cái này hoàn toàn dùng lệnh trong cad thôi. thực ra dùng lisp cho nó nhanh đỡ phải thao tác nhiều lần.

Hề hề hề,

Thực ra thì phải là : dùng lisp cho nó ....... máu các bác nhể.

Hề hề hề,

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Em đã thử nhiều lần toàn cho ra pline thế mà sck84 lại nói nó cho ra toàn line. Cái này đúng là Hỏi Chúa Chúa còn hỏi chấm

Hề hề hề,

Cái này phải gọi là : Hỏi Chúa Chúa còn hỏi Thầy tu, hỏi thầy tu, thầy tu còn hỏi các xơ, hỏi các xơ thời các xơ bảo hãy đợi đấy......

Hề hề hề,...

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ế Hế Hế... Kính thưa 2 bác là em xài rồi, thấy toàn ra line nên mới nói vậy! Có gì chưa đúng xin bác chỉ giáo. Cad 2011 thì em xin chịu, con lap em là hàng già.

Với các đời CAD mình đang dùng thì không có chuyện ra Line, vì khi recreate Boundary, CAD chỉ cho 2 lựa chọn là Region và Pline. Bạn có thể cho mình biết bản CAD bạn đang dùng, chụp màn hình lúc thực hiện lisp và Properties chỉ đích thị nó là Line ??

Hoặc bạn thay chữ "P" trong lisp thành "R" để tạo Region xem có bình thường không ? Hoặc BH với đường cong xem cái Line nó tròn méo như thế nào ??

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào cadviet!

Mình đã check điều mà sck84 nêu. Quả thật có trường hợp biên hatch tạo ra LINE các anh ạ!

Đó là khi các HATCH chồng lên nhau như hình vẽ sau:

123.png

Link ban ve!

Mọi người kiểm tra giúp với. Không biết có 1 biến hệ thống nào can thiệp không nữa?? :blink:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào cadviet!

Mình đã check điều mà sck84 nêu. Quả thật có trường hợp biên hatch tạo ra LINE các anh ạ!

Đó là khi các HATCH chồng lên nhau như hình vẽ sau:

123.png

Link ban ve!

Mọi người kiểm tra giúp với. Không biết có 1 biến hệ thống nào can thiệp không nữa?? :blink:

Đã check trên bản vẽ bạn gởi. Nó vẫn ra LWPOLYLINE, nhưng dạng rời chứ không kín. Không phải LINE đâu.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Đã check trên bản vẽ bạn gởi. Nó vẫn ra LWPOLYLINE, nhưng dạng rời chứ không kín. Không phải LINE đâu.

Xin lỗi mọi người, Mình thấy kết quả 1 hình chữ nhật thành 4 đoạn rời tưởng LINE mà không xem kỹ.

Nhưng mà các đường biên này tại sao lúc khép kín lúc không nhỉ? Có thể sửa Lisp để kết quả luôn là đường Pline khép kín được không nhỉ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào cadviet!

Mình đã check điều mà sck84 nêu. Quả thật có trường hợp biên hatch tạo ra LINE các anh ạ!

Đó là khi các HATCH chồng lên nhau như hình vẽ sau:

123.png

Link ban ve!

Mọi người kiểm tra giúp với. Không biết có 1 biến hệ thống nào can thiệp không nữa?? :blink:

Line chỗ nào vậy bạn?

PS: Xin lỗi chưa đọc page 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×